2017 © Pedro Peláez
 

magento2-module codemonkey

image

msp/codemonkey

  • Friday, February 16, 2018
  • by magespecialist
  • Repository
  • 5 Watchers
  • 13 Stars
  • 5,481 Installations
  • PHP
  • 0 Dependents
  • 0 Suggesters
  • 1 Forks
  • 0 Open issues
  • 25 Versions
  • 5 % Grown

The README.md

MSP_CodeMonkey

Code Monkey is a Magento 2 developers tool to type less and do more :) ., (*1)

With code monkey you can quickly: - CRUD: Create Repositories, model triads and Data API - DDD-CQRS: Create get/save/delete commands approach (see MSI Magento module), (*2)

Installation

composer require msp/codemonkey, (*3)

Guide

Create CRUD

Quick and dirty:, (*4)

php bin/magento msp:cm:crud My_Module Myentity mydatabasetable, (*5)

In the previous example, CodeMonkey will read My_Module configuration and mydatabasetable table from your DB and will create model triads, interfaces and di.xml entries according to your configuration., (*6)

Getters and setters will be automatically provided in your Model files depending on your table columns configuration., (*7)

Create CQRS for DDD approach

Quick and dirty:, (*8)

php bin/magento msp:cm:ddd-cqrs My_Module My_ModuleApi Myentity mydatabasetable, (*9)

In the previous example, CodeMonkey will read My_Module configuration and mydatabasetable table from your DB and will create model triads, interfaces and di.xml entries according to your configuration., (*10)

Getters and setters will be automatically provided in your Model files depending on your table columns configuration., (*11)

See Magento 2 MSI project for this approach., (*12)

The Versions

16/02 2018

dev-master

9999999-dev

  Sources   Download

OSL 3.0 OSL-3.0

The Requires

 

16/02 2018

1.2.11

1.2.11.0

  Sources   Download

OSL-3.0

The Requires

 

16/02 2018

1.2.10

1.2.10.0

  Sources   Download

OSL-3.0

The Requires

 

16/02 2018

1.2.9

1.2.9.0

  Sources   Download

OSL-3.0

The Requires

 

13/02 2018

1.2.8

1.2.8.0

  Sources   Download

OSL-3.0

The Requires

 

13/02 2018

1.2.7

1.2.7.0

  Sources   Download

OSL-3.0

The Requires

 

09/02 2018

1.2.6

1.2.6.0

  Sources   Download

OSL-3.0

The Requires

 

02/02 2018

1.2.5

1.2.5.0

  Sources   Download

OSL-3.0

The Requires

 

02/02 2018

1.2.4

1.2.4.0

  Sources   Download

OSL-3.0

The Requires

 

01/02 2018

1.2.3

1.2.3.0

  Sources   Download

OSL-3.0

The Requires

 

01/02 2018

1.2.2

1.2.2.0

  Sources   Download

OSL-3.0

The Requires

 

01/02 2018

1.2.1

1.2.1.0

  Sources   Download

OSL-3.0

The Requires

 

31/01 2018

1.2.0

1.2.0.0

  Sources   Download

OSL-3.0

The Requires

 

31/01 2018

1.1.0

1.1.0.0

  Sources   Download

OSL-3.0

The Requires

 

30/10 2017

1.0.7

1.0.7.0

  Sources   Download

OSL 3.0

The Requires

 

25/10 2017

1.0.6

1.0.6.0

  Sources   Download

OSL 3.0

The Requires

 

24/10 2017

1.0.5

1.0.5.0

  Sources   Download

OSL 3.0

The Requires

 

22/10 2017

1.0.4

1.0.4.0

  Sources   Download

OSL 3.0

The Requires

 

22/10 2017

1.0.3

1.0.3.0

  Sources   Download

OSL 3.0

The Requires

 

20/10 2017

1.0.2

1.0.2.0

  Sources   Download

OSL 3.0

The Requires

 

09/10 2017

1.0.1

1.0.1.0

  Sources   Download

OSL 3.0

The Requires

 

09/10 2017

1.0.0

1.0.0.0

  Sources   Download

OSL 3.0

The Requires

 

14/11 2016

0.1.2

0.1.2.0

  Sources   Download

OSL 3.0

The Requires

 

11/11 2016

0.1.1

0.1.1.0

  Sources   Download

OSL 3.0

The Requires

 

10/11 2016

0.1.0

0.1.0.0

  Sources   Download

OSL 3.0

The Requires